org.apache.sling.provisioning.model

## Class ModelResolveUtility

- java.lang.Object
- - org.apache.sling.provisioning.model.ModelResolveUtility

    public class ModelResolveUtility
    extends Object

Helper methods for resolving variables and artifact versions in models.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `replace(Feature feature, String v, ModelUtility.VariableResolver resolver)` Replace properties in the string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### replace

    public static String replace(Feature feature,
                                 String v,
                                 ModelUtility.VariableResolver resolver)

Replace properties in the string.

Parameters:
  `feature` - The feature
  `v` - The variable name
  `resolver` - Optional resolver
Returns:
  The value of the variable
Throws:
  `IllegalArgumentException` - If variable can't be found.